LOCAL_PATH := $(call my-dir)
include $(CLEAR_VARS)
CROSS_COMPILE          := $(CURDIR)/prebuilts/gcc/linux-x86/arm/armv7a-cros-linux-gnueabi-4.8/bin/armv7a-cros-linux-gnueabi-
#CROSS_COMPILE          := $(CURDIR)/$(TARGET_TOOLS_PREFIX)

TARGET_LINUXPATH       := $(CURDIR)/$(TARGET_OUT_INTERMEDIATES)/KERNEL_OBJ
TARGET_PREBUILT_KERNEL := $(PRODUCT_OUT)/kernel

OSDFLASH_MODULE  := $(LOCAL_PATH)/OSD_flash.ko
OSDFLASH_SUBDIRS := $(CURDIR)/$(LOCAL_PATH)

FLASHDRV_SOURCE_FILES := $(addprefix $(OSDFLASH_SUBDIRS)/, \
	OSD_flash.c \
)

FLASHDRV_CLEANUP := $(addprefix $(OSDFLASH_SUBDIRS)/, \
	*.o \
	.*cmd \
	.tmp_versions \
	OSD_flash.mod.c \
	OSD_flash.mod.o \
	Module.symvers \
	modules.order \
)

$(OSDFLASH_MODULE): $(FLASHDRV_SOURCE_FILES) $(TARGET_PREBUILT_KERNEL)
	make \
		ARCH=arm \
		CROSS_COMPILE=$(CROSS_COMPILE) \
		-C $(TARGET_LINUXPATH) \
		SUBDIRS=$(OSDFLASH_SUBDIRS) \
		$(ICX_KERNEL_MODULE_MAKE_OPT) \
		modules
	$(CROSS_COMPILE)strip --strip-unneeded $(OSDFLASH_MODULE)
	rm -rf $(FLASHDRV_CLEANUP)

#LOCAL_SRC_FILES := OSD_flash.c
LOCAL_MODULE := OSD_flash.ko
LOCAL_MODULE_TAGS := debug
LOCAL_MODULE_CLASS := ETC
LOCAL_MODULE_PATH := $(TARGET_OUT)/lib/modules
LOCAL_SRC_FILES := OSD_flash.ko

include $(BUILD_PREBUILT)
